public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-biology/cutadapt/, sci-biology/cutadapt/files/
@ 2021-05-21  2:03 Aisha Tammy
  0 siblings, 0 replies; only message in thread
From: Aisha Tammy @ 2021-05-21  2:03 UTC (permalink / raw
  To: gentoo-commits

commit:     baf55ad9bd948fa0762f6251d7388f3226c9920d
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Fri May 21 02:01:45 2021 +0000
Commit:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Fri May 21 02:02:03 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=baf55ad9

sci-biology/cutadapt: version bump to 3.3

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 sci-biology/cutadapt/cutadapt-3.3.ebuild           | 42 ++++++++++++++++++++++
 .../cutadapt/files/cutadapt-3.3-skiptest.patch     | 13 +++++++
 2 files changed, 55 insertions(+)

diff --git a/sci-biology/cutadapt/cutadapt-3.3.ebuild b/sci-biology/cutadapt/cutadapt-3.3.ebuild
new file mode 100644
index 000000000..e1990f222
--- /dev/null
+++ b/sci-biology/cutadapt/cutadapt-3.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Remove adapter sequences from high-throughput sequencing data"
+HOMEPAGE="https://github.com/marcelm/cutadapt"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	dev-python/dnaio[${PYTHON_USEDEP}]
+	dev-python/xopen[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${PYTHON_DEPS}
+	${DEPEND}
+"
+BDEPEND="
+	test? (
+		dev-python/cython
+		dev-python/pytest-mock
+		dev-python/pytest-timeout
+	)
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.3-skiptest.patch )
+
+distutils_enable_tests pytest
+
+# needs call to installed cutadapt executable
+python_test() {
+	distutils_install_for_testing
+	pytest -vv || die "pytest failed with ${EPYTHON}"
+}

diff --git a/sci-biology/cutadapt/files/cutadapt-3.3-skiptest.patch b/sci-biology/cutadapt/files/cutadapt-3.3-skiptest.patch
new file mode 100644
index 000000000..c2dc2a741
--- /dev/null
+++ b/sci-biology/cutadapt/files/cutadapt-3.3-skiptest.patch
@@ -0,0 +1,13 @@
+diff --git a/tests/test_command.py b/tests/test_command.py
+index a81b04a..cf40233 100644
+--- a/tests/test_command.py
++++ b/tests/test_command.py
+@@ -76,7 +76,7 @@ def test_force_fasta_output(tmpdir, cores):
+     assert_files_equal(cutpath("small.fasta"), out_path)
+ 
+ 
+-@pytest.mark.skipif(sys.platform == "win32", reason="Maybe this can be made to work")
++@pytest.mark.skipif(reason="Maybe this can be made to work")
+ def test_non_utf8_locale():
+     subprocess.check_call(
+         [sys.executable, "-m", "cutadapt", "-o", os.devnull, datapath("small.fastq")],


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-05-21  2:04 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-05-21  2:03 [gentoo-commits] proj/sci:master commit in: sci-biology/cutadapt/, sci-biology/cutadapt/files/ Aisha Tammy

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox